Project

General

Profile

Bug #2252

Mobile in osmocom-bb not working

Added by rashid_feroz 3 months ago. Updated about 1 month ago.

Status:
Closed
Priority:
Low
Assignee:
-
Category:
OsmocomBB mobile (host)
Start date:
05/12/2017
Due date:
% Done:

100%

Resolution:
Spec Reference:

Description

I am trying to execute ./mobile from osmocom-bb/src/host/layer23/src/mobile but it is displaying a weird error. Everything else is running fine. I am able to load firmware on Motorola C118 phones. I did everything right and the compilation and installation succeeded but even after a lot of tries I can't make mobile work.

This is the error I am getting. Any help would be appreciated. Is it some sort of library file error? The installation of libosmocore was perfect and osmocon is wrking fine.

#./mobile -i 127.0.0.1

Copyright (C) 2008-2010 ...
Contributions by ...

License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Assert failed !check_element_exists(cnode, cmd->string) command.c:626
backtrace() returned 7 addresses
/usr/local/lib/libosmovty.so.3(install_element+0xce) [0x7f72fac224de]
./mobile() [0x43d0c2]
./mobile() [0x40542d]
./mobile() [0x4049a7]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0) [0x7f72fa421830]
./mobile() [0x404a49]
Aborted (core dumped)

History

#1 Updated by fixeria 3 months ago

  • Project changed from libosmocore to OsmocomBB
  • Category set to OsmocomBB mobile (host)
  • Priority changed from Immediate to Low

This is because you are using different versions of libosmocore and OsmocomBB
together. Please compile the latest source code and close the issue.

#2 Updated by rashid_feroz 3 months ago

Now, It's working fine.
Thanks a lot :)
I don't see any status change menu here from my account.
Please mark it as closed.

#3 Updated by rashid_feroz 3 months ago

rashid_feroz wrote:

Now, It's working fine.

#4 Updated by rashid_feroz 3 months ago

When I use latest master branch of osmocom-BB and master branch of libosmocore, It's working fine but I want't to use SIM card with my phone, That's why I am using sylvian branch of Osmocom-BB and again I am getting the same error even after using the latest version.

#5 Updated by laforge about 1 month ago

  • Status changed from New to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF